Bug 452309 - Devhelp cannot be started/crashes on strt
Devhelp cannot be started/crashes on strt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: devhelp (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-20 16:23 EDT by Peter Janakiev
Modified: 2008-07-08 23:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 23:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2008-06-20 16:23:37 EDT
Description of problem:I cannot start devhelp at all, it always crash


Version-Release number of selected component (if applicable):
devhelp-0.19.1-1.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. start devhelp from menu or temirnal
2.
3.
  
Actual results:
crash with coredump

Expected results:
normal application start

Additional info:
37a4bae3-6bad-364c-0521d202-04da7e77 is dumped
Comment 1 sangu 2008-06-24 23:47:39 EDT
Segmentation fault in rawhide.

$ gdb devhelp
[...]
Program received signal SIGSEGV, Segmentation fault.
0x01246dae in nsEmbedStream::AppendToStream (this=0x8dcb970, 
    aData=0x14c6b0 "<html><body bgcolor=\"white\"></body></html>", aLen=42)
    at nsEmbedStream.cpp:199
199						aLen); /* len */
Current language:  auto; currently c++

(gdb) bt
#0  0x01246dae in nsEmbedStream::AppendToStream (this=0x8dcb970, 
    aData=0x14c6b0 "<html><body bgcolor=\"white\"></body></html>", aLen=42)
    at nsEmbedStream.cpp:199
#1  0x00c29382 in EmbedPrivate::AppendToStream (this=0x8c40638, 
    aData=0x14c6b0 "<html><body bgcolor=\"white\"></body></html>", aLen=42)
    at EmbedPrivate.cpp:689
#2  0x00c27772 in gtk_moz_embed_render_data (embed=0x8c3b860, 
    data=0x14c6b0 "<html><body bgcolor=\"white\"></body></html>", len=42, 
    base_uri=0x14c4de "file:///", mime_type=0x14c4d4 "text/html")
    at gtkmozembed2.cpp:787
#3  0x0013e92f in dh_html_clear (html=0x8c3df10) at dh-html.c:297
#4  0x00144c93 in window_open_new_tab (window=0x8941050, location=0x0)
    at dh-window.c:1219
#5  0x00146289 in dh_window_new (base=0x8072130) at dh-window.c:578
#6  0x0013d346 in dh_base_new_window (base=0x8072130) at dh-base.c:376
#7  0x080491c8 in main (argc=1, argv=0xbffff594) at dh-main.c:192

devhelp-0.19.1-1.fc10.i386
xulrunner-1.9-1.fc10.i386
Comment 2 sangu 2008-07-08 19:37:08 EDT
Fixed in recent rawhide (devhelp 0.19.1-2.fc10).

Note You need to log in before you can comment on or make changes to this bug.